Subject: Re: [pkix] purpose of LDAP in PKI

From: Peter Gutmann <[email-masked]>
Date: Tue, 19 Feb 2013 04:23:18 +0000

Erik Andersen <[email-masked]> writes:

>LDAP is a primarily an application protocol. HTTP is a communication
>protocol. Comparing a application protocol with a communication protocol is
>noncense. HTTP could in principle also be used to access a directory, such as
>LDAP.

Your statement is based on the incorrect premise that I (or users in general)
want an X.500 directory.  As I mentioned earlier, HTTP won, everything else
(and in particular X.500) lost, so the comparison isn't between a
communication protocol and an application protocol but a universally-available
solution and a failed one.

(Gawd, I'm starting to sound like Phil H-B :-).

Peter.